cdac.medinfo.sdk.hl7282.baselibs.segments

## Class STF

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.STF

- All Implemented Interfaces:
    ISegment

      public class STF
      extends Segment

  STF - Staff Identification Segment.

  The Technical Steward for the STF segment is PA and Personnel Management. The STF segment can identify any personnel referenced by information systems.

  Represents an HL7 STF message segment. This segment has the following fields:

  STF-1: Primary Key Value - STF (CWE)Conditional
  STF-2: Staff Identifier List (CX)Optional
  STF-3: Staff Name (XPN)Optional
  STF-4: Staff Type (CWE)Optional
  STF-5: Administrative Sex (CWE)Optional
  STF-6: Date/Time of Birth (DTM)Optional
  STF-7: Active/Inactive Flag (ID)Optional
  STF-8: Department (CWE)Optional
  STF-9: Hospital Service - STF (CWE)Optional
  STF-10: Phone (XTN)Optional
  STF-11: Office/Home Address/Birthplace (XAD)Optional
  STF-12: Institution Activation Date (DIN)Optional
  STF-13: Institution Inactivation Date (DIN)Optional
  STF-14: Backup Person ID (CWE)Optional
  STF-15: E-Mail Address (ST)Optional
  STF-16: Preferred Method of Contact (CWE)Optional
  STF-17: Marital Status (CWE)Optional
  STF-18: Job Title (ST)Optional
  STF-19: Job Code/Class (JCC)Optional
  STF-20: Employment Status Code (CWE)Optional
  STF-21: Additional Insured on Auto (ID)Optional
  STF-22: Driver's License Number - Staff (DLN)Optional
  STF-23: Copy Auto Ins (ID)Optional
  STF-24: Auto Ins. Expires (DT)Optional
  STF-25: Date Last DMV Review (DT)Optional
  STF-26: Date Next DMV Review (DT)Optional
  STF-27: Race (CWE)Optional
  STF-28: Ethnic Group (CWE)Optional
  STF-29: Re-activation Approval Indicator (ID)Optional
  STF-30: Citizenship (CWE)Optional
  STF-31: Death Date and Time (DTM)Optional
  STF-32: Death Indicator (ID)Optional
  STF-33: Institution Relationship Type Code (CWE)Optional
  STF-34: Institution Relationship Period (DR)Optional
  STF-35: Expected Return Date (DT)Optional
  STF-36: Cost Center Code (CWE)Optional
  STF-37: Generic Classification Indicator (ID)Optional
  STF-38: Inactive Reason Code (CWE)Optional
  STF-39: Generic resource type or category (CWE)Optional
  STF-40: Religion (CWE)Optional
  STF-41: Signature (ED)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `STF()` Constructs the STF segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBackupPersonID(CWE objbackupPersonID)` Add the Backup Person ID.
    `void` | `addBackupPersonID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Backup Person ID.
    `void` | `addCitizenship(CWE objcitizenship)` Add the Citizenship.
    `void` | `addCitizenship(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Citizenship.
    `void` | `addCostCenterCode(CWE objcostCenterCode)` Add the Cost Center Code.
    `void` | `addCostCenterCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Cost Center Code.
    `void` | `addDepartment(CWE objdepartment)` Add the Department.
    `void` | `addDepartment(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Department.
    `void` | `addEMailAddress(ST objeMailAddress)` Add the EMail Address.
    `void` | `addEMailAddress(java.lang.String strEMailAddress)` Add the EMail Address.
    `void` | `addGenericResourceTypeOrCategory(CWE objGenericResourceTypeOrCategory)` Add the Generic resource type or category.
    `void` | `addGenericResourceTypeOrCategory(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Generic resource type or category.
    `void` | `addHospitalServiceSTF(CWE objhospitalServiceSTF)` Add the Hospital Service STF.
    `void` | `addHospitalServiceSTF(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Hospital Service STF.
    `void` | `addInstitutionActivationDate(DIN objinstitutionActivationDate)` Add the Institution Activation Date.
    `void` | `addInstitutionActivationDate(DTM objDate, CWE objInstitutionName)` Add the Institution Activation Date.
    `void` | `addInstitutionInactivationDate(DIN objinstitutionInactivationDate)` Add the Institution Inactivation Date.
    `void` | `addInstitutionInactivationDate(DTM objDate, CWE objInstitutionName)` Add the Institution Inactivation Date.
    `void` | `addOffice_HomeAddress_Birthplace(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the Office Home Address Birthplace.
    `void` | `addOffice_HomeAddress_Birthplace(XAD objoffice_HomeAddress_Birthplace)` Add the Office Home Address Birthplace.
    `void` | `addPhone(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Add the Phone.
    `void` | `addPhone(XTN objphone)` Add the Phone.
    `void` | `addStaffIdentifierList(CX objstaffIdentifierList)` Add the Staff Identifier List.
    `void` | `addStaffIdentifierList(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Staff Identifier List.
    `void` | `addStaffName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Add the Staff Name.
    `void` | `addStaffName(XPN objstaffName)` Add the Staff Name.
    `void` | `addStaffType(CWE objstaffType)` Add the Staff Type.
    `void` | `addStaffType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Staff Type.
    `ID` | `getActive_InactiveFlag()` Retrieves the Active Inactive Flag.
    `ID` | `getAdditionalInsuredonAuto()` Retrieves the Additional Insured on Auto.
    `CWE` | `getAdministrativeSex()` Retrieves the Administrative Sex.
    `DT` | `getAutoInsExpires()` Retrieves the Auto Ins Expires.
    `ISingleCollection<CWE>` | `getBackupPersonID()` Retrieves the Backup Person ID.
    `ISingleCollection<CWE>` | `getCitizenship()` Retrieves the Citizenship.
    `ID` | `getCopyAutoIns()` Retrieves the Copy Auto Ins.
    `ISingleCollection<CWE>` | `getCostCenterCode()` Retrieves the Cost Center Code.
    `DTM` | `getDate_TimeofBirth()` Retrieves the Date Time of Birth.
    `DT` | `getDateLastDMVReview()` Retrieves the Date Last DMV Review.
    `DT` | `getDateNextDMVReview()` Retrieves the Date Next DMV Review.
    `DTM` | `getDeathDateandTime()` Retrieves the Death Date and Time.
    `ID` | `getDeathIndicator()` Retrieves the Death Indicator This field indicates whether the staff person is deceased
    `ISingleCollection<CWE>` | `getDepartment()` Retrieves the Department.
    `DLN` | `getDriversLicenseNumberStaff()` Retrieves the Drivers License Number Staff.
    `ISingleCollection<ST>` | `getEMailAddress()` Retrieves the EMail Address.
    `CWE` | `getEmploymentStatusCode()` Retrieves the Employment Status Code.
    `CWE` | `getEthnicGroup()` Retrieves the Ethnic Group.
    `DT` | `getExpectedReturnDate()` Retrieves the Expected Return Date.
    `ID` | `getGenericClassificationIndicator()` Retrieves the Generic Classification Indicator.
    `ISingleCollection<CWE>` | `getGenericResourceTypeOrCategory()` Retrieves the Generic resource type or category.
    `ISingleCollection<CWE>` | `getHospitalServiceSTF()` Retrieves the Hospital Service STF.
    `CWE` | `getInactiveReasonCode()` Retrieves the Inactive Reason Code.
    `ISingleCollection<DIN>` | `getInstitutionActivationDate()` Retrieves the Institution Activation Date.
    `ISingleCollection<DIN>` | `getInstitutionInactivationDate()` Retrieves the Institution Inactivation Date.
    `DR` | `getInstitutionRelationshipPeriod()` Retrieves the Institution Relationship Period.
    `CWE` | `getInstitutionRelationshipTypeCode()` Retrieves the Institution Relationship Type Code.
    `JCC` | `getJobCodeClass()` Retrieves the Job Code Class.
    `ST` | `getJobTitle()` Retrieves the Job Title.
    `CWE` | `getMaritalStatus()` Retrieves the Marital Status.
    `ISingleCollection<XAD>` | `getOffice_HomeAddress_Birthplace()` Retrieves the Office Home Address Birthplace.
    `ISingleCollection<XTN>` | `getPhone()` Retrieves the Phone.
    `CWE` | `getPreferredMethodofContact()` Retrieves the Preferred Method of Contact.
    `CWE` | `getPrimaryKeyValueSTF()` Retrieves the Primary Key Value STF.
    `CWE` | `getRace()` Retrieves the Race.
    `ID` | `getReactivateApprovalIndicator()` Retrieves the Reactivate Approval Indicator.
    `CWE` | `getReligion()` Retrieves the Religion.
    `ED` | `getSignature()` Retrieves the Signature.
    `ISingleCollection<CX>` | `getStaffIdentifierList()` Retrieves the Staff Identifier List.
    `ISingleCollection<XPN>` | `getStaffName()` Retrieves the Staff Name.
    `ISingleCollection<CWE>` | `getStaffType()` Retrieves the Staff Type.
    `void` | `setActive_InactiveFlag(ID objactive_InactiveFlag)` Set the Active Inactive Flag.
    `void` | `setActive_InactiveFlag(java.lang.String strActive_InactiveFlag)` Set the Active Inactive Flag.
    `void` | `setAdditionalInsuredonAuto(ID objadditionalInsuredonAuto)` Set the Additional Insuredon Auto.
    `void` | `setAdditionalInsuredonAuto(java.lang.String strAdditionalInsuredonAuto)` Set the Additional Insuredon Auto.
    `void` | `setAdministrativeSex(CWE objadministrativeSex)` Set the Administrative Sex.
    `void` | `setAdministrativeSex(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Administrative Sex.
    `void` | `setAutoInsExpires(DT objautoInsExpires)` Set the Auto Ins Expires.
    `void` | `setAutoInsExpires(java.lang.String strAutoInsExpires)` Set the Auto Ins Expires.
    `void` | `setBackupPersonID(ISingleCollection<CWE> objBackupPersonIDList)` Add the Backup Person ID.
    `void` | `setCitizenship(ISingleCollection<CWE> objCitizenshipList)` Set the Citizenship.
    `void` | `setCopyAutoIns(ID objcopyAutoIns)` Set the Copy Auto Ins.
    `void` | `setCopyAutoIns(java.lang.String strCopyAutoIns)` Set the Copy Auto Ins.
    `void` | `setCostCenterCode(ISingleCollection<CWE> objCostCenterCodeList)` Set the Cost Center Code.
    `void` | `setDate_TimeofBirth(DTM objdate_TimeofBirth)` Set the Date Time of Birth.
    `void` | `setDate_TimeofBirth(java.lang.String strTime)` Set the Date Time of Birth.
    `void` | `setDateLastDMVReview(DT objdateLastDMVReview)` Set the Date Last DMV Review.
    `void` | `setDateLastDMVReview(java.lang.String strDateLastDMVReview)` Set the Date Last DMV Review.
    `void` | `setDateNextDMVReview(DT objdateNextDMVReview)` Set the Date Next DMV Review.
    `void` | `setDateNextDMVReview(java.lang.String strDateNextDMVReview)` Set the Date Next DMV Review.
    `void` | `setDeathDateandTime(DTM objdeathDateandTime)` Set the Death Date and Time.
    `void` | `setDeathDateandTime(java.lang.String strTime)` Set the Death Date and Time.
    `void` | `setDeathIndicator(ID objdeathIndicator)` Set the Death Indicator.
    `void` | `setDeathIndicator(java.lang.String strDeathIndicator)` Set the Death Indicator.
    `void` | `setDepartment(ISingleCollection<CWE> objDepartmentList)` Set the Department.
    `void` | `setDriversLicenseNumberStaff(DLN objdriversLicenseNumberStaff)` Set the Drivers License Number Staff.
    `void` | `setDriversLicenseNumberStaff(java.lang.String strLicenseNumber, CWE objIssuingStateProvinceCountry, java.lang.String strExpirationDate)` Set the Drivers License Number Staff.
    `void` | `setEMailAddress(ISingleCollection<ST> objEMailAddressList)` Add the EMail Address.
    `void` | `setEmploymentStatusCode(CWE objemploymentStatusCode)` Set the Employment Status Code.
    `void` | `setEmploymentStatusCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Employment Status Code.
    `void` | `setEthnicGroup(CWE objethnicGroup)` Set the Ethnic Group.
    `void` | `setEthnicGroup(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ethnic Group.
    `void` | `setExpectedReturnDate(DT objexpectedReturnDate)` Set the Expected Return Date.
    `void` | `setExpectedReturnDate(java.lang.String strExpectedReturnDate)` Set the Expected Return Date.
    `void` | `setGenericClassificationIndicator(ID objgenericClassificationIndicator)` Set the Generic Classification Indicator.
    `void` | `setGenericClassificationIndicator(java.lang.String strGenericClassificationIndicator)` Set the Generic Classification Indicator.
    `void` | `setGenericResourceTypeOrCategory(ISingleCollection<CWE> objGenericResourceTypeOrCategoryList)` Set the Generic resource type or category.
    `void` | `setHospitalServiceSTF(ISingleCollection<CWE> objHospitalServiceSTFList)` Set the Hospital Service STF.
    `void` | `setInactiveReasonCode(CWE objinactiveReasonCode)` Set the Inactive Reason Code.
    `void` | `setInactiveReasonCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Inactive Reason Code.
    `void` | `setInstitutionActivationDate(ISingleCollection<DIN> objInstitutionActivationDateList)` Set the Institution Activation Date.
    `void` | `setInstitutionInactivationDate(ISingleCollection<DIN> objInstitutionInactivationDateList)` Set the Institution Inactivation Date.
    `void` | `setInstitutionRelationshipPeriod(DR objinstitutionRelationshipPeriod)` Set the Institution Relationship Period.
    `void` | `setInstitutionRelationshipPeriod(DTM objRangeStartDateTime, DTM objRangeEndDateTime)` Set the Institution Relationship Period.
    `void` | `setInstitutionRelationshipTypeCode(CWE objinstitutionRelationshipTypeCode)` Set the Institution Relationship Type Code.
    `void` | `setInstitutionRelationshipTypeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Institution Relationship Type Code.
    `void` | `setJobCodeClass(CWE objJobCode, CWE objJobClass, java.lang.String strJobDescriptionText)` Set the Job Code Class.
    `void` | `setJobCodeClass(JCC objjobCodeClass)` Set the Job Code Class.
    `void` | `setJobTitle(ST objjobTitle)` Set the Job Title.
    `void` | `setJobTitle(java.lang.String strJobTitle)` Set the Job Title.
    `void` | `setMaritalStatus(CWE objmaritalStatus)` Set the Marital Status.
    `void` | `setMaritalStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Marital Status.
    `void` | `setOffice_HomeAddress_Birthplace(ISingleCollection<XAD> objOffice_HomeAddress_BirthplaceList)` Set the Office Home Address Birthplace.
    `void` | `setPhone(ISingleCollection<XTN> objPhoneList)` Set the Phone
    `void` | `setPreferredMethodofContact(CWE objpreferredMethodofContact)` Set the Preferred Method of Contact.
    `void` | `setPreferredMethodofContact(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Preferred Method of Contact.
    `void` | `setPrimaryKeyValueSTF(CWE objprimaryKeyValueSTF)` Set the Primary Key Value STF.
    `void` | `setPrimaryKeyValueSTF(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Primary Key Value STF.
    `void` | `setRace(CWE objrace)` Set the Race.
    `void` | `setRace(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Race.
    `void` | `setReactivationApprovalIndicator(ID objreactivateApprovalIndicator)` Set the Reactivate Approval Indicator.
    `void` | `setReactivationApprovalIndicator(java.lang.String strReactivationApprovalIndicator)` Set the Reactivate Approval Indicator.
    `void` | `setReligion(CWE religion)` Set the Religion.
    `void` | `setReligion(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Religion.
    `void` | `setSignature(ED objSignature)` Set the Signature.
    `void` | `setSignature(HD objSourceApplication, java.lang.String strTypeOfData, java.lang.String strDataSubtype, java.lang.String strEncoding, java.lang.String strData)` Set the Signature.
    `void` | `setStaffIdentifierList(ISingleCollection<CX> objStaffIdentifierList)` Set the Staff Identifier List.
    `void` | `setStaffName(ISingleCollection<XPN> objStaffNameList)` Set the Staff Name.
    `void` | `setStaffType(ISingleCollection<CWE> objStaffTypeList)` Set the Staff Type.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### STF

          public STF()

      Constructs the STF segment.

  - ### Method Detail

    - #### getActive_InactiveFlag

          public ID getActive_InactiveFlag()

      Retrieves the Active Inactive Flag. This field indicates whether person is currently a valid staff member or not.
      Returns:
        ID - active_InactiveFlag

    - #### getAdditionalInsuredonAuto

          public ID getAdditionalInsuredonAuto()

      Retrieves the Additional Insured on Auto. This field specify an indicator for whether the present institution is named as an additional insured on the staff member's auto insurance
      Returns:
        ID - additionalInsuredonAuto

    - #### getAdministrativeSex

          public CWE getAdministrativeSex()

      Retrieves the Administrative Sex.
      Returns:
        CWE - administrativeSex

    - #### getAutoInsExpires

          public DT getAutoInsExpires()

      Retrieves the Auto Ins Expires.
      Returns:
        DT - autoInsExpires

    - #### getBackupPersonID

          public ISingleCollection<CWE> getBackupPersonID()

      Retrieves the Backup Person ID. This field specify the master file entry that corresponds to the designated backup person for this staff person.
      Returns:
        ISingleCollection - backupPersonID

    - #### getCitizenship

          public ISingleCollection<CWE> getCitizenship()

      Retrieves the Citizenship.
      Returns:
        ISingleCollection - citizenship

    - #### getCopyAutoIns

          public ID getCopyAutoIns()

      Retrieves the Copy Auto Ins. This field specify an indicator for whether the institution has on file a copy of the staff member's auto insurance or not.
      Returns:
        ID - copyAutoIns

    - #### getCostCenterCode

          public ISingleCollection<CWE> getCostCenterCode()

      Retrieves the Cost Center Code. This field specify the organization unit in the General Ledger to which the staff member is currently assigned.
      Returns:
        ISingleCollection - costCenterCode

    - #### getDate_TimeofBirth

          public DTM getDate_TimeofBirth()

      Retrieves the Date Time of Birth.
      Returns:
        DTM - date_TimeofBirth

    - #### getDateLastDMVReview

          public DT getDateLastDMVReview()

      Retrieves the Date Last DMV Review.
      Returns:
        DT - groupedSpecimenCount

    - #### getDateNextDMVReview

          public DT getDateNextDMVReview()

      Retrieves the Date Next DMV Review.
      Returns:
        DT - dateNextDMVReview

    - #### getDeathDateandTime

          public DTM getDeathDateandTime()

      Retrieves the Death Date and Time.
      Returns:
        DTM - deathDateandTime

    - #### getDeathIndicator

          public ID getDeathIndicator()

      Retrieves the Death Indicator This field indicates whether the staff person is deceased
      Returns:
        ID - deathIndicator

    - #### getDepartment

          public ISingleCollection<CWE> getDepartment()

      Retrieves the Department. This field specify the institution department to which this person reports or belongs.
      Returns:
        ISingleCollection - department

    - #### getDriversLicenseNumberStaff

          public DLN getDriversLicenseNumberStaff()

      Retrieves the Drivers License Number Staff.
      Returns:
        DLN - driversLicenseNumberStaff

    - #### getEMailAddress

          public ISingleCollection<ST> getEMailAddress()

      Retrieves the EMail Address.
      Returns:
        ISingleCollection - eMailAddress

    - #### getEmploymentStatusCode

          public CWE getEmploymentStatusCode()

      Retrieves the Employment Status Code.
      Returns:
        CWE - groupedSpecimenCount

    - #### getEthnicGroup

          public CWE getEthnicGroup()

      Retrieves the Ethnic Group.
      Returns:
        CWE - ethnicGroup

    - #### getExpectedReturnDate

          public DT getExpectedReturnDate()

      Retrieves the Expected Return Date.
      Returns:
        DT - expectedReturnDate

    - #### getGenericClassificationIndicator

          public ID getGenericClassificationIndicator()

      Retrieves the Generic Classification Indicator. This field describes whether this STF record represents an identifiable human being or is a "placeholder" for one whose identity is not yet known or not.
      Returns:
        ID - groupedSpecimenCount

    - #### getHospitalServiceSTF

          public ISingleCollection<CWE> getHospitalServiceSTF()

      Retrieves the Hospital Service STF.
      Returns:
        ISingleCollection - hospitalServiceSTF

    - #### getInactiveReasonCode

          public CWE getInactiveReasonCode()

      Retrieves the Inactive Reason Code.
      Returns:
        CWE - groupedSpecimenCount

    - #### getInstitutionActivationDate

          public ISingleCollection<DIN> getInstitutionActivationDate()

      Retrieves the Institution Activation Date.
      Returns:
        ISingleCollection - institutionActivationDate

    - #### getInstitutionInactivationDate

          public ISingleCollection<DIN> getInstitutionInactivationDate()

      Retrieves the Institution Inactivation Date.
      Returns:
        ISingleCollection - institutionInactivationDate

    - #### getInstitutionRelationshipPeriod

          public DR getInstitutionRelationshipPeriod()

      Retrieves the Institution Relationship Period.
      Returns:
        DR - institutionRelationshipPeriod

    - #### getInstitutionRelationshipTypeCode

          public CWE getInstitutionRelationshipTypeCode()

      Retrieves the Institution Relationship Type Code.
      Returns:
        CWE - institutionRelationshipTypeCode

    - #### getJobCodeClass

          public JCC getJobCodeClass()

      Retrieves the Job Code Class.
      Returns:
        JCC - jobCodeClass

    - #### getJobTitle

          public ST getJobTitle()

      Retrieves the Job Title.
      Returns:
        ST - jobTitle

    - #### getMaritalStatus

          public CWE getMaritalStatus()

      Retrieves the Marital Status.
      Returns:
        CWE - maritalStatus

    - #### getOffice_HomeAddress_Birthplace

          public ISingleCollection<XAD> getOffice_HomeAddress_Birthplace()

      Retrieves the Office Home Address Birthplace.
      Returns:
        ISingleCollection - office_HomeAddress_Birthplace

    - #### getPhone

          public ISingleCollection<XTN> getPhone()

      Retrieves the Phone. This field Specify the number of staff.
      Returns:
        ISingleCollection - phone

    - #### getPreferredMethodofContact

          public CWE getPreferredMethodofContact()

      Retrieves the Preferred Method of Contact.
      Returns:
        CWE - preferredMethodofContact

    - #### getPrimaryKeyValueSTF

          public CWE getPrimaryKeyValueSTF()

      Retrieves the Primary Key Value STF.
      Returns:
        CWE - primaryKeyValueSTF

    - #### getRace

          public CWE getRace()

      Retrieves the Race.
      Returns:
        CWE - race

    - #### getReactivateApprovalIndicator

          public ID getReactivateApprovalIndicator()

      Retrieves the Reactivate Approval Indicator. This field specify an indicator for whether the re-activation of this record requires special approval or not.
      Returns:
        ID - reactivateApprovalIndicator

    - #### getStaffIdentifierList

          public ISingleCollection<CX> getStaffIdentifierList()

      Retrieves the Staff Identifier List.
      Returns:
        ISingleCollection - staffIdentifierList

    - #### getStaffName

          public ISingleCollection<XPN> getStaffName()

      Retrieves the Staff Name.
      Returns:
        ISingleCollection - staffName

    - #### getStaffType

          public ISingleCollection<CWE> getStaffType()

      Retrieves the Staff Type.
      Returns:
        ISingleCollection - staffType

    - #### setPrimaryKeyValueSTF

          public void setPrimaryKeyValueSTF(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Primary Key Value STF.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPrimaryKeyValueSTF

          public void setPrimaryKeyValueSTF(CWE objprimaryKeyValueSTF)

      Set the Primary Key Value STF.
      Parameters:
        `objprimaryKeyValueSTF` - Object of Primary Key Value STF.

    - #### addStaffIdentifierList

          public void addStaffIdentifierList(java.lang.String strIDNumber,
                                    java.lang.String strCheckDigit,
                                    java.lang.String strCheckDigitScheme,
                                    HD objAssigningAuthority,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strEffectiveDate,
                                    java.lang.String strExpirationDate,
                                    CWE objAssigningJurisdiction,
                                    CWE objAssigningAgencyOrDepartment,
                                    java.lang.String strSecurityCheck,
                                    java.lang.String strSecurityCheckScheme)

      Add the Staff Identifier List.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `strSecurityCheckScheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addStaffIdentifierList

          public void addStaffIdentifierList(CX objstaffIdentifierList)

      Add the Staff Identifier List.
      Parameters:
        `objstaffIdentifierList` - Object of Staff Identifier List.

    - #### setStaffIdentifierList

          public void setStaffIdentifierList(ISingleCollection<CX> objStaffIdentifierList)

      Set the Staff Identifier List.
      Parameters:
        `objStaffIdentifierList` - List of the Staff Identifier List.

    - #### addStaffName

          public void addStaffName(FN objFamilyName,
                          java.lang.String strGivenName,
                          java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                          java.lang.String strSuffix,
                          java.lang.String strPrefix,
                          java.lang.String strNameTypeCode,
                          java.lang.String strNameRepresentationCode,
                          CWE objNameContext,
                          java.lang.String strNameAssemblyOrder,
                          DTM objEffectiveDate,
                          DTM objExpirationDate,
                          java.lang.String strProfessionalSuffix,
                          java.lang.String strCalledBy)

      Add the Staff Name.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addStaffName

          public void addStaffName(XPN objstaffName)

      Add the Staff Name.
      Parameters:
        `objstaffName` - Object of Staff Name.

    - #### setStaffName

          public void setStaffName(ISingleCollection<XPN> objStaffNameList)

      Set the Staff Name.
      Parameters:
        `objStaffNameList` - List of the Staff Name.

    - #### addStaffType

          public void addStaffType(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Add the Staff Type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addStaffType

          public void addStaffType(CWE objstaffType)

      Add the Staff Type.
      Parameters:
        `objstaffType` - Object of Staff Type.

    - #### setStaffType

          public void setStaffType(ISingleCollection<CWE> objStaffTypeList)

      Set the Staff Type.
      Parameters:
        `objStaffTypeList` - List of the Staff Type.

    - #### setAdministrativeSex

          public void setAdministrativeSex(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Administrative Sex.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdministrativeSex

          public void setAdministrativeSex(CWE objadministrativeSex)

      Set the Administrative Sex.
      Parameters:
        `objadministrativeSex` - Object of Administrative Sex.

    - #### setDate_TimeofBirth

          public void setDate_TimeofBirth(java.lang.String strTime)

      Set the Date Time of Birth.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDate_TimeofBirth

          public void setDate_TimeofBirth(DTM objdate_TimeofBirth)

      Set the Date Time of Birth.
      Parameters:
        `objdate_TimeofBirth` - Object of Date Time of Birth.

    - #### setActive_InactiveFlag

          public void setActive_InactiveFlag(java.lang.String strActive_InactiveFlag)

      Set the Active Inactive Flag. This field indicates whether person is currently a valid staff member or not.
      Parameters:
        `strActive_InactiveFlag` - String shows value of flag .

    - #### setActive_InactiveFlag

          public void setActive_InactiveFlag(ID objactive_InactiveFlag)

      Set the Active Inactive Flag. This field indicates whether person is currently a valid staff member or not.
      Parameters:
        `objactive_InactiveFlag` - Object of Active Inactive Flag.

    - #### addDepartment

          public void addDepartment(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Add the Department. This field specify the institution department to which this person reports or belongs.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addDepartment

          public void addDepartment(CWE objdepartment)

      Add the Department. This field specify the institution department to which this person reports or belongs.
      Parameters:
        `objdepartment` - Object of Department.

    - #### setDepartment

          public void setDepartment(ISingleCollection<CWE> objDepartmentList)

      Set the Department. This field specify the institution department to which this person reports or belongs.
      Parameters:
        `objDepartmentList` - List of the Department.

    - #### addHospitalServiceSTF

          public void addHospitalServiceSTF(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Add the Hospital Service STF.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addHospitalServiceSTF

          public void addHospitalServiceSTF(CWE objhospitalServiceSTF)

      Add the Hospital Service STF.
      Parameters:
        `objhospitalServiceSTF` - Object of Hospital Service STF.

    - #### setHospitalServiceSTF

          public void setHospitalServiceSTF(ISingleCollection<CWE> objHospitalServiceSTFList)

      Set the Hospital Service STF.
      Parameters:
        `objHospitalServiceSTFList` - List of the Hospital Service STF.

    - #### addPhone

          public void addPhone(java.lang.String strTeleCommunicationUseCode,
                      java.lang.String strTeleCommunicationEquipmentType,
                      java.lang.String strCommuinicationAddress,
                      java.lang.String strCountryCode,
                      java.lang.String strAreaCityCode,
                      java.lang.String strLocalNumber,
                      java.lang.String strExtension,
                      java.lang.String strAnyText,
                      java.lang.String strExtensionPrefix,
                      java.lang.String strSpeedDialCode,
                      java.lang.String strUnformattedTelephoneNumber,
                      java.lang.String strEffectiveStartDate,
                      java.lang.String strExpirationDate,
                      CWE objExpirationReason,
                      CWE objProtectionCode,
                      EI objSharedTelecommunicationIdentifier,
                      java.lang.String strPreferenceOrder)

      Add the Phone. This field Specify the number of staff.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addPhone

          public void addPhone(XTN objphone)

      Add the Phone. This field Specify the number of staff.
      Parameters:
        `objphone` - Object of Phone.

    - #### setPhone

          public void setPhone(ISingleCollection<XTN> objPhoneList)

      Set the Phone
      Parameters:
        `objPhoneList` - List of Phone.

    - #### addOffice_HomeAddress_Birthplace

          public void addOffice_HomeAddress_Birthplace(SAD objStreetAddress,
                                              java.lang.String strOtherDesignation,
                                              java.lang.String strCity,
                                              java.lang.String strStateOrProvince,
                                              java.lang.String strZipOrPostalCode,
                                              java.lang.String strCountry,
                                              java.lang.String strAddressType,
                                              java.lang.String strOtherGeographicDesignation,
                                              CWE objCountyParishCode,
                                              CWE objCensusTract,
                                              java.lang.String strAddressRepresentationCode,
                                              DTM objEffectiveDate,
                                              DTM objExpirationDate,
                                              CWE objEXpirationReason,
                                              java.lang.String strTemporaryIndicator,
                                              java.lang.String strBadAddressIndicator,
                                              java.lang.String strAddressUsage,
                                              java.lang.String strAddressee,
                                              java.lang.String strComment,
                                              java.lang.String strPreferenceOrder,
                                              CWE objProtectionCode,
                                              EI objAddressIdentifier)

      Add the Office Home Address Birthplace.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAddressIdentifier` - indicates a unique identifier for address

    - #### addOffice_HomeAddress_Birthplace

          public void addOffice_HomeAddress_Birthplace(XAD objoffice_HomeAddress_Birthplace)

      Add the Office Home Address Birthplace.
      Parameters:
        `objoffice_HomeAddress_Birthplace` - Object of Office Home Address Birthplace.

    - #### setOffice_HomeAddress_Birthplace

          public void setOffice_HomeAddress_Birthplace(ISingleCollection<XAD> objOffice_HomeAddress_BirthplaceList)

      Set the Office Home Address Birthplace.
      Parameters:
        `objOffice_HomeAddress_BirthplaceList` - List of the Office Home Address Birthplace.

    - #### addInstitutionActivationDate

          public void addInstitutionActivationDate(DTM objDate,
                                          CWE objInstitutionName)

      Add the Institution Activation Date.
      Parameters:
        `objDate` - Specifies the date when a staff member became active or inactive.
        `objInstitutionName` - Specifies the institution where a staff member is or was active.

    - #### addInstitutionActivationDate

          public void addInstitutionActivationDate(DIN objinstitutionActivationDate)

      Add the Institution Activation Date.
      Parameters:
        `objinstitutionActivationDate` - Object of Institution Activation Date.

    - #### setInstitutionActivationDate

          public void setInstitutionActivationDate(ISingleCollection<DIN> objInstitutionActivationDateList)

      Set the Institution Activation Date.
      Parameters:
        `objInstitutionActivationDateList` - List of the Institution Activation Date.

    - #### addInstitutionInactivationDate

          public void addInstitutionInactivationDate(DTM objDate,
                                            CWE objInstitutionName)

      Add the Institution Inactivation Date.
      Parameters:
        `objDate` - Specifies the date when a staff member became active or inactive.
        `objInstitutionName` - Specifies the institution where a staff member is or was active.

    - #### addInstitutionInactivationDate

          public void addInstitutionInactivationDate(DIN objinstitutionInactivationDate)

      Add the Institution Inactivation Date.
      Parameters:
        `objinstitutionInactivationDate` - Object of Institution Inactivation Date.

    - #### setInstitutionInactivationDate

          public void setInstitutionInactivationDate(ISingleCollection<DIN> objInstitutionInactivationDateList)

      Set the Institution Inactivation Date.
      Parameters:
        `objInstitutionInactivationDateList` - list of the Institution Inactivation Date.

    - #### addBackupPersonID

          public void addBackupPersonID(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Add the Backup Person ID. This field specify the master file entry that corresponds to the designated backup person for this staff person.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addBackupPersonID

          public void addBackupPersonID(CWE objbackupPersonID)

      Add the Backup Person ID. This field specify the master file entry that corresponds to the designated backup person for this staff person.
      Parameters:
        `objbackupPersonID` - Object of Backup Person ID.

    - #### setBackupPersonID

          public void setBackupPersonID(ISingleCollection<CWE> objBackupPersonIDList)

      Add the Backup Person ID. This field specify the master file entry that corresponds to the designated backup person for this staff person.
      Parameters:
        `objBackupPersonIDList` - List of Backup Person ID.

    - #### addEMailAddress

          public void addEMailAddress(java.lang.String strEMailAddress)

      Add the EMail Address.
      Parameters:
        `strEMailAddress` - String value of PriorityARQ

    - #### addEMailAddress

          public void addEMailAddress(ST objeMailAddress)

      Add the EMail Address.
      Parameters:
        `objeMailAddress` - Object of EMail Address.

    - #### setEMailAddress

          public void setEMailAddress(ISingleCollection<ST> objEMailAddressList)

      Add the EMail Address.
      Parameters:
        `objEMailAddressList` - List of the EMail Address.

    - #### setPreferredMethodofContact

          public void setPreferredMethodofContact(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Preferred Method of Contact.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPreferredMethodofContact

          public void setPreferredMethodofContact(CWE objpreferredMethodofContact)

      Set the Preferred Method of Contact.
      Parameters:
        `objpreferredMethodofContact` - Object of Preferred Method of Contact.

    - #### setMaritalStatus

          public void setMaritalStatus(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Marital Status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMaritalStatus

          public void setMaritalStatus(CWE objmaritalStatus)

      Set the Marital Status.
      Parameters:
        `objmaritalStatus` - Object of Marital Status.

    - #### setJobTitle

          public void setJobTitle(java.lang.String strJobTitle)

      Set the Job Title.
      Parameters:
        `strJobTitle` - String value of PriorityARQ

    - #### setJobTitle

          public void setJobTitle(ST objjobTitle)

      Set the Job Title.
      Parameters:
        `objjobTitle` - Object of Job Title.

    - #### setJobCodeClass

          public void setJobCodeClass(CWE objJobCode,
                             CWE objJobClass,
                             java.lang.String strJobDescriptionText)

      Set the Job Code Class.
      Parameters:
        `objJobCode` - Contains the person's job code.
        `objJobClass` - Contains the person's employee classification.
        `strJobDescriptionText` - Contains the text of the job description.

    - #### setJobCodeClass

          public void setJobCodeClass(JCC objjobCodeClass)

      Set the Job Code Class.
      Parameters:
        `objjobCodeClass` - Object of Job Code Class.

    - #### setEmploymentStatusCode

          public void setEmploymentStatusCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Employment Status Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEmploymentStatusCode

          public void setEmploymentStatusCode(CWE objemploymentStatusCode)

      Set the Employment Status Code.
      Parameters:
        `objemploymentStatusCode` - Object of Employment Status Code.

    - #### setAdditionalInsuredonAuto

          public void setAdditionalInsuredonAuto(java.lang.String strAdditionalInsuredonAuto)

      Set the Additional Insuredon Auto. This field specify an indicator for whether the present institution is named as an additional insured on the staff member's auto insurance
      Parameters:
        `strAdditionalInsuredonAuto` - String shows the action to be taken .

    - #### setAdditionalInsuredonAuto

          public void setAdditionalInsuredonAuto(ID objadditionalInsuredonAuto)

      Set the Additional Insuredon Auto. This field specify an indicator for whether the present institution is named as an additional insured on the staff member's auto insurance
      Parameters:
        `objadditionalInsuredonAuto` - Object of Additional Insuredon Auto.

    - #### setDriversLicenseNumberStaff

          public void setDriversLicenseNumberStaff(java.lang.String strLicenseNumber,
                                          CWE objIssuingStateProvinceCountry,
                                          java.lang.String strExpirationDate)

      Set the Drivers License Number Staff.
      Parameters:
        `strLicenseNumber` - Specifies the driver's license number.
        `objIssuingStateProvinceCountry` - Specifies issuing authority for driver's license.
        `strExpirationDate` - Specifies expiration date (DT) for driver's license.

    - #### setDriversLicenseNumberStaff

          public void setDriversLicenseNumberStaff(DLN objdriversLicenseNumberStaff)

      Set the Drivers License Number Staff.
      Parameters:
        `objdriversLicenseNumberStaff` - Object of Drivers License Number Staff.

    - #### setCopyAutoIns

          public void setCopyAutoIns(java.lang.String strCopyAutoIns)

      Set the Copy Auto Ins. This field specify an indicator for whether the institution has on file a copy of the staff member's auto insurance or not.
      Parameters:
        `strCopyAutoIns` - String shows the action to be taken .

    - #### setCopyAutoIns

          public void setCopyAutoIns(ID objcopyAutoIns)

      Set the Copy Auto Ins. This field specify an indicator for whether the institution has on file a copy of the staff member's auto insurance or not.
      Parameters:
        `objcopyAutoIns` - Object of Copy Auto Ins.

    - #### setAutoInsExpires

          public void setAutoInsExpires(java.lang.String strAutoInsExpires)

      Set the Auto Ins Expires.
      Parameters:
        `strAutoInsExpires` - The string value

    - #### setAutoInsExpires

          public void setAutoInsExpires(DT objautoInsExpires)

      Set the Auto Ins Expires.
      Parameters:
        `objautoInsExpires` - Object of Auto Ins Expires.

    - #### setDateLastDMVReview

          public void setDateLastDMVReview(java.lang.String strDateLastDMVReview)

      Set the Date Last DMV Review.
      Parameters:
        `strDateLastDMVReview` - The string value

    - #### setDateLastDMVReview

          public void setDateLastDMVReview(DT objdateLastDMVReview)

      Set the Date Last DMV Review.
      Parameters:
        `objdateLastDMVReview` - Object of Date Last DMV Review.

    - #### setDateNextDMVReview

          public void setDateNextDMVReview(java.lang.String strDateNextDMVReview)

      Set the Date Next DMV Review.
      Parameters:
        `strDateNextDMVReview` - The string value

    - #### setDateNextDMVReview

          public void setDateNextDMVReview(DT objdateNextDMVReview)

      Set the Date Next DMV Review.
      Parameters:
        `objdateNextDMVReview` - Object of Date Next DMV Review.

    - #### setRace

          public void setRace(java.lang.String strIdentifier,
                     java.lang.String strText,
                     java.lang.String strNameOfCodingSystem,
                     java.lang.String strAlternateIdentifier,
                     java.lang.String strAlternateText,
                     java.lang.String strNameOfAlternateCodingSystem,
                     java.lang.String strCodingSystemVersionID,
                     java.lang.String strAlternateCodingSystemVersionId,
                     java.lang.String strOriginalText,
                     java.lang.String strSecondAlternateIdentifier,
                     java.lang.String strSecondAlternateText,
                     java.lang.String strNameofSecondAlternateCodingSystem,
                     java.lang.String strSecondAlternateCodingSystemVersionID,
                     java.lang.String strCodingSystemOID,
                     java.lang.String strValueSetOID,
                     java.lang.String strValueSetVersionID,
                     java.lang.String strAlternateCodingSystemOID,
                     java.lang.String strAlternateValueSetOID,
                     java.lang.String strAlternateValueSetVersionID,
                     java.lang.String strSecondAlternateCodingSystemOID,
                     java.lang.String strSecondAlternateValueSetOID,
                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Race.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRace

          public void setRace(CWE objrace)

      Set the Race.
      Parameters:
        `objrace` - Object of Race.

    - #### setEthnicGroup

          public void setEthnicGroup(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ethnic Group.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEthnicGroup

          public void setEthnicGroup(CWE objethnicGroup)

      Set the Ethnic Group.
      Parameters:
        `objethnicGroup` - Object of Ethnic Group.

    - #### setReactivationApprovalIndicator

          public void setReactivationApprovalIndicator(java.lang.String strReactivationApprovalIndicator)

      Set the Reactivate Approval Indicator. This field specify an indicator for whether the re-activation of this record requires special approval or not.
      Parameters:
        `strReactivationApprovalIndicator` - String shows the action to be taken .

    - #### setReactivationApprovalIndicator

          public void setReactivationApprovalIndicator(ID objreactivateApprovalIndicator)

      Set the Reactivate Approval Indicator. This field specify an indicator for whether the re-activation of this record requires special approval or not.
      Parameters:
        `objreactivateApprovalIndicator` - Object of Reactivate Approval Indicator.

    - #### addCitizenship

          public void addCitizenship(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Add the Citizenship.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCitizenship

          public void addCitizenship(CWE objcitizenship)

      Add the Citizenship.
      Parameters:
        `objcitizenship` - Object of Citizenship.

    - #### setCitizenship

          public void setCitizenship(ISingleCollection<CWE> objCitizenshipList)

      Set the Citizenship.
      Parameters:
        `objCitizenshipList` - List of the Citizenship.

    - #### setDeathDateandTime

          public void setDeathDateandTime(java.lang.String strTime)

      Set the Death Date and Time.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDeathDateandTime

          public void setDeathDateandTime(DTM objdeathDateandTime)

      Set the Death Date and Time.
      Parameters:
        `objdeathDateandTime` - Object of Death Date and Time.

    - #### setDeathIndicator

          public void setDeathIndicator(java.lang.String strDeathIndicator)

      Set the Death Indicator. This field indicates whether the staff person is deceased.
      Parameters:
        `strDeathIndicator` - String shows the action to be taken .

    - #### setDeathIndicator

          public void setDeathIndicator(ID objdeathIndicator)

      Set the Death Indicator. This field indicates whether the staff person is deceased.
      Parameters:
        `objdeathIndicator` - Object of Death Indicator.

    - #### setInstitutionRelationshipTypeCode

          public void setInstitutionRelationshipTypeCode(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Institution Relationship Type Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInstitutionRelationshipTypeCode

          public void setInstitutionRelationshipTypeCode(CWE objinstitutionRelationshipTypeCode)

      Set the Institution Relationship Type Code.
      Parameters:
        `objinstitutionRelationshipTypeCode` - Object of Institution Relationship Type Code.

    - #### setInstitutionRelationshipPeriod

          public void setInstitutionRelationshipPeriod(DTM objRangeStartDateTime,
                                              DTM objRangeEndDateTime)

      Set the Institution Relationship Period.
      Parameters:
        `objRangeStartDateTime` - Specifies the earliest date/time (time stamp) in the specified range.
        `objRangeEndDateTime` - Specifies the latest date/time in the specified range.

    - #### setInstitutionRelationshipPeriod

          public void setInstitutionRelationshipPeriod(DR objinstitutionRelationshipPeriod)

      Set the Institution Relationship Period.
      Parameters:
        `objinstitutionRelationshipPeriod` - Object of Institution Relationship Period.

    - #### setExpectedReturnDate

          public void setExpectedReturnDate(java.lang.String strExpectedReturnDate)

      Set the Expected Return Date.
      Parameters:
        `strExpectedReturnDate` - The string value

    - #### setExpectedReturnDate

          public void setExpectedReturnDate(DT objexpectedReturnDate)

      Set the Expected Return Date.
      Parameters:
        `objexpectedReturnDate` - Object of Expected Return Date.

    - #### addCostCenterCode

          public void addCostCenterCode(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Add the Cost Center Code. This field specify the organization unit in the General Ledger to which the staff member is currently assigned.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCostCenterCode

          public void addCostCenterCode(CWE objcostCenterCode)

      Add the Cost Center Code. This field specify the organization unit in the General Ledger to which the staff member is currently assigned.
      Parameters:
        `objcostCenterCode` - Object of Cost Center Code.

    - #### setCostCenterCode

          public void setCostCenterCode(ISingleCollection<CWE> objCostCenterCodeList)

      Set the Cost Center Code. This field specify the organization unit in the General Ledger to which the staff member is currently assigned.
      Parameters:
        `objCostCenterCodeList` - List of the Cost Center Code.

    - #### setGenericClassificationIndicator

          public void setGenericClassificationIndicator(java.lang.String strGenericClassificationIndicator)

      Set the Generic Classification Indicator. This field describes whether this STF record represents an identifiable human being or is a "placeholder" for one whose identity is not yet known or not.
      Parameters:
        `strGenericClassificationIndicator` - String shows the action to be taken .

    - #### setGenericClassificationIndicator

          public void setGenericClassificationIndicator(ID objgenericClassificationIndicator)

      Set the Generic Classification Indicator. This field describes whether this STF record represents an identifiable human being or is a "placeholder" for one whose identity is not yet known or not.
      Parameters:
        `objgenericClassificationIndicator` - Object of Generic Classification Indicator.

    - #### setInactiveReasonCode

          public void setInactiveReasonCode(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Inactive Reason Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInactiveReasonCode

          public void setInactiveReasonCode(CWE objinactiveReasonCode)

      Set the Inactive Reason Code.
      Parameters:
        `objinactiveReasonCode` - Object of Inactive Reason Code.

    - #### getGenericResourceTypeOrCategory

          public ISingleCollection<CWE> getGenericResourceTypeOrCategory()

      Retrieves the Generic resource type or category. This field transmits a code that represents a high level categorization of resources.
      Returns:
        ISingleCollection - GenericResourceTypeOrCategory

    - #### addGenericResourceTypeOrCategory

          public void addGenericResourceTypeOrCategory(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Add the Generic resource type or category. This field transmits a code that represents a high level categorization of resources.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addGenericResourceTypeOrCategory

          public void addGenericResourceTypeOrCategory(CWE objGenericResourceTypeOrCategory)

      Add the Generic resource type or category. This field transmits a code that represents a high level categorization of resources.
      Parameters:
        `objGenericResourceTypeOrCategory` - Object of Generic resource type or category.

    - #### setGenericResourceTypeOrCategory

          public void setGenericResourceTypeOrCategory(ISingleCollection<CWE> objGenericResourceTypeOrCategoryList)

      Set the Generic resource type or category. This field transmits a code that represents a high level categorization of resources.
      Parameters:
        `objGenericResourceTypeOrCategoryList` - List of Generic resource type or category.

    - #### getReligion

          public CWE getReligion()

      Retrieves the Religion. This field indicates the type of religion practiced by the guarantor.
      Returns:
        CWE - religion

    - #### setReligion

          public void setReligion(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Religion. This field indicates the type of religion practiced by the guarantor.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setReligion

          public void setReligion(CWE religion)

      Set the Religion. This field indicates the type of religion practiced by the guarantor.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `religion` - Religion

    - #### getSignature

          public ED getSignature()

      Retrieves the Signature. Digital Signature of the staff member.
      Returns:
        ED - Signature

    - #### setSignature

          public void setSignature(HD objSourceApplication,
                          java.lang.String strTypeOfData,
                          java.lang.String strDataSubtype,
                          java.lang.String strEncoding,
                          java.lang.String strData)

      Set the Signature. Digital Signature of the staff member.
      Parameters:
        `objSourceApplication` - Specifies A unique name that identifies the system which was the source of the data.
        `strTypeOfData` - Specifies an ID data type that declares the general type of data.
        `strDataSubtype` - Specifies an ID data type declaring the format for the data of subcomponent
        .
        `strEncoding` - Specifies the type of encoding used to represent successive octets of binary data as displayable ASCII characters. [Refer to HL7 Table 0299 - Encoding] Valid values A,Hex,Base64.
        `strData` - Specifies displayable ASCII characters which constitute the data to be sent from source application to destination application.

    - #### setSignature

          public void setSignature(ED objSignature)

      Set the Signature. Digital Signature of the staff member.
      Parameters:
        `objSignature` - Object of Signature.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.